Bug 1093521 - Review Request: clingo - A bottom up grounder for logic programs
Summary: Review Request: clingo - A bottom up grounder for logic programs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1093500 1093516
Blocks: 1225692 1093522
TreeView+ depends on / blocked
 
Reported: 2014-05-02 00:43 UTC by Scott K Logan
Modified: 2019-08-08 01:53 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-26 22:42:33 UTC
Type: ---


Attachments (Terms of Use)

Description Scott K Logan 2014-05-02 00:43:28 UTC
Spec URL: http://cottsay.fedorapeople.org/clingo/clingo.spec
SRPM URL: http://cottsay.fedorapeople.org/clingo/clingo-4.3.0-1.fc21.src.rpm

Description:
Clingo combines both gringo and clasp into a monolithic system. This way it offers more control over the grounding and solving process than gringo and clasp can offer individually - e.g., incremental grounding and solving. Clingo comes with its own version of claspD-2 and hence now supports parallel- and disjunctive solving.

Fedora Account System Username: cottsay

Copr builds (F19, F20 and rawhide):
http://copr.fedoraproject.org/coprs/cottsay/gringo/monitor/

rpmlint output:
clingo.src: W: spelling-error %description -l en_US claspD -> clasp D, clasp, clasps
clingo-examples.noarch: W: doc-file-dependency /usr/share/doc/clingo-examples/examples/planning/convert.sh /bin/bash
clingo.x86_64: W: spelling-error %description -l en_US claspD -> clasp D, clasp, clasps
clingo.x86_64: W: no-manual-page-for-binary clingo
clingo-debuginfo.x86_64: E: debuginfo-without-sources
4 packages and 1 specfiles checked; 1 errors, 4 warnings.

Notes:
- Because this is part of a chained group of packages (clasp => gringo => clingo => aspcud), I opted to use copr for test builds instead of koji.
- This package contains static-only libraries and adheres to the guidelines [1].
- rpmlint reports "debuginfo-without-sources" but the two packaged files are a single static library (no debuginfo) and a single executable, which was compiled from a single .cpp file and has no headers, so has nothing to install. You'd get the same result if you compiled a "Hello, World!" C++ program into an RPM.

Thanks!

[1] https://fedoraproject.org/wiki/Packaging:Guidelines#Packaging_Static_Libraries_2

Comment 1 Scott K Logan 2014-09-22 00:44:50 UTC
Updated version

Spec URL: https://cottsay.fedorapeople.org/clingo/clingo.spec
SRPM URL: https://cottsay.fedorapeople.org/clingo/clingo-4.4.0-1.fc20.src.rpm

Copr builds (F20, F21 and rawhide):
http://copr.fedoraproject.org/coprs/cottsay/gringo/monitor/

rpmlint output:
SPECS/clingo.spec:58: W: macro-in-comment %{name}
clingo-examples.noarch: W: no-documentation
clingo.x86_64: W: spelling-error %description -l en_US claspD -> clasp D, clasp, clasps
clingo.x86_64: W: no-manual-page-for-binary clingo
3 packages and 1 specfiles checked; 0 errors, 4 warnings.

Thanks,

--scott

Comment 2 Till Hofmann 2019-07-26 22:42:33 UTC
Closing in favor of #1733101.

*** This bug has been marked as a duplicate of bug 1733101 ***

Comment 3 Fedora Update System 2019-07-30 06:06:14 UTC
FEDORA-2019-237ce6f0dc has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-237ce6f0dc

Comment 4 Fedora Update System 2019-07-31 01:31:27 UTC
clingo-5.3.0-5.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-237ce6f0dc

Comment 5 Fedora Update System 2019-07-31 03:40:28 UTC
clingo-5.3.0-5.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-62e94f4912

Comment 6 Fedora Update System 2019-08-08 00:55:13 UTC
clingo-5.3.0-5.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2019-08-08 01:53:16 UTC
clingo-5.3.0-5.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.